PRINT N'Creando [dbo].[Underlined]...';


GO
CREATE TABLE [dbo].[Underlined] (
    [VCC]                  VARCHAR (50) NOT NULL,
    [AudioId]              VARCHAR (50) NULL,
    [Section]              NUMERIC (5)  NULL,
    [Part]                 NUMERIC (5)  NULL,
    [Speaker]              VARCHAR (3)  NULL,
    [AnchorOffset]         INT          NULL,
    [FocusOffset]          INT          NULL,
    [CurrentTime]          FLOAT (53)   NULL,
    [EndCurrentTime]       FLOAT (53)   NULL,
    [UtteranceId]          VARCHAR (50) NULL,
    [CreatedDate]          DATETIME     NULL,
    [CreatedByUserId]      VARCHAR (50) NULL,
    [LastModifiedDate]     DATETIME     NULL,
    [LastModifiedByUserId] VARCHAR (50) NULL,
    [TimeStamp]            DATETIME     NULL
);


GO
PRINT N'Iniciando recompilación de la tabla [dbo].[Utterance]...';

INSERT INTO [dbo].[Underlined] 
SELECT VCC, 
      AudioId,
      Section,
      Part,
      Speaker,
      AnchorOffset,
      FocusOffset,
      CurrentTime,
      EndCurrentTime,
      UtteranceId,
      CreatedDate,
      CreatedByUserId,
      LastModifiedDate,
      LastModifiedByUserId,
      [TimeStamp] FROM [Utterance] (NOLOCK)

GO

PRINT N'Creando [dbo].[UtteranceTemp]...';

GO

CREATE TABLE [dbo].[UtteranceTemp] (
    [VCC]                       VARCHAR (50)  NOT NULL,
    [AppId]                     VARCHAR (50)  NOT NULL,
    [IntentId]                  VARCHAR (50)  NULL,
    [Id]                        VARCHAR (50)  NOT NULL,
    [Text]                      varchar(500),
    [CreatedDate]               datetime DEFAULT (getutcdate()),
    [CreatedByUserId]           varchar(50),
    [LastModifiedDate]          datetime,
    [LastModifiedByUserId]      varchar(50)
);


GO
PRINT N'Iniciando recompilación de la tabla [dbo].[Utterance]...';

INSERT INTO [UtteranceTemp]
            SELECT VCC,AppId,IntentId,UtteranceId,TextContent,
                   CreatedDate,CreatedByUserId,LastModifiedDate,
                   LastModifiedByUserId FROM [Utterance] (NOLOCK);
    

DROP TABLE [dbo].[Utterance];

EXEC sp_rename 'UtteranceTemp', 'Utterance';  

GO
